> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Status



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /sessions/{session_id}
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /sessions/{session_id}:
    get:
      tags:
        - sessions
      summary: Session Status
      operationId: session_status
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    SessionResponse:
      properties:
        session_id:
          type: string
          title: Session Id
          description: >-
            The ID of the session (created or existing). Use this ID to interact
            with the session for the next operation.
        idle_timeout_minutes:
          type: integer
          title: Idle Timeout Minutes
          description: >-
            Session idle timeout in minutes. Will timeout if now() > last access
            time + idle_timeout_minutes
        max_duration_minutes:
          type: integer
          title: Max Duration Minutes
          description: >-
            Session max duration in minutes. Will timeout if now() > creation
            time + max_duration_minutes
          default: 15
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Session creation time
        closed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Closed At
          description: Session closing time
        last_accessed_at:
          type: string
          format: date-time
          title: Last Accessed At
          description: Last access time
        duration:
          type: string
          format: duration
          title: Duration
          description: Session duration
        status:
          type: string
          enum:
            - active
            - closed
            - error
            - timed_out
          title: Status
          description: Session status
        steps:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Steps
          description: Steps of the session
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error message if the operation failed to complete
        proxies:
          type: boolean
          title: Proxies
          description: >-
            Whether proxies were used for the session. True if any proxy was
            applied during session creation.
          default: false
        browser_type:
          type: string
          enum:
            - chromium
            - chrome
            - firefox
            - chrome-nightly
            - chrome-turbo
          title: Browser Type
          default: chromium
        use_file_storage:
          type: boolean
          title: Use File Storage
          description: Whether FileStorage was attached to the session.
          default: false
        network_request_bytes:
          type: integer
          title: Network Request Bytes
          description: Total byte usage for network requests.
          default: 0
        network_response_bytes:
          type: integer
          title: Network Response Bytes
          description: Total byte usage for network responses.
          default: 0
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
          description: The user agent to use for the session
        viewport_width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Viewport Width
          description: The width of the viewport
        viewport_height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Viewport Height
          description: The height of the viewport
        headless:
          type: boolean
          title: Headless
          description: Whether to run the session in headless mode.
          default: true
        solve_captchas:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Solve Captchas
          description: Whether to solve captchas.
        cdp_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cdp Url
          description: The URL to connect to the CDP server.
        viewer_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Viewer Url
          description: The remote session viewer URL.
        web_bot_auth:
          type: boolean
          title: Web Bot Auth
          description: Whether to use web bot authentication.
          default: false
        timeout_minutes:
          type: integer
          title: Timeout Minutes
          deprecated: true
          readOnly: true
      type: object
      required:
        - session_id
        - idle_timeout_minutes
        - created_at
        - last_accessed_at
        - status
        - timeout_minutes
      title: SessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````